# binary_stream Struct Reference
[NPF Just-in-time compiler definitions]

A stream of X86 binary code. More...

`#include <jitter.h>`

## Data Fields

INT | cur_ip
| Current X86 instruction pointer.
INT | bpf_pc
| Current BPF instruction pointer, i.e. position in the BPF program reached by the jitter.
PCHAR | ibuf
| Instruction buffer, contains the X86 generated code.
PUINT | refs
| Jumps reference table.

## Detailed Description

A stream of X86 binary code.

Definition at line 69 of file jitter.h.

## Field Documentation

INT bpf_pc

Current BPF instruction pointer, i.e. position in the BPF program reached by the jitter.

Definition at line 71 of file jitter.h.

INT cur_ip

Current X86 instruction pointer.

Definition at line 70 of file jitter.h.

PCHAR ibuf

Instruction buffer, contains the X86 generated code.

Definition at line 72 of file jitter.h.

PUINT refs

Jumps reference table.

Definition at line 73 of file jitter.h.

The documentation for this struct was generated from the following file:

- jitter.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.